io.vertx.redis.client

## Enum RedisSlaves

- java.lang.Object
- - java.lang.Enum<RedisSlaves>
  - - io.vertx.redis.client.RedisSlaves

- All Implemented Interfaces:
    Serializable, Comparable<RedisSlaves>

      public enum RedisSlaves
      extends Enum<RedisSlaves>

  When should Redis Slave nodes be used for queries.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` Queries are always run on SLAVE nodes (never on MASTER node).
    `NEVER` Never use SLAVES, queries are always run on a MASTER node.
    `SHARE` Queries can be randomly run on both MASTER and SLAVE nodes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisSlaves` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RedisSlaves[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final RedisSlaves NEVER

      Never use SLAVES, queries are always run on a MASTER node.

    - #### SHARE

          public static final RedisSlaves SHARE

      Queries can be randomly run on both MASTER and SLAVE nodes.

    - #### ALWAYS

          public static final RedisSlaves ALWAYS

      Queries are always run on SLAVE nodes (never on MASTER node).

  - ### Method Detail

    - #### values

          public static RedisSlaves[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RedisSlaves c : RedisSlaves.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RedisSlaves valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 Eclipse. All rights reserved.